﻿$ErrorActionPreference = 'Stop';

$version = $env:chocolateyPackageVersion
$packageName = $env:chocolateyPackageName
$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url = 'https://github.com/twpayne/chezmoi/releases/download/v2.6.0/chezmoi_2.6.0_windows_i386.zip'
$url64 = 'https://github.com/twpayne/chezmoi/releases/download/v2.6.0/chezmoi_2.6.0_windows_amd64.zip'

$packageArgs = @{
    packageName    = $packageName
    unzipLocation  = $toolsDir
    fileType       = 'exe'
    url            = $url
    url64bit       = $url64
    checksum       = '8255531fb15459cebdcd3876d5c055b20ac39507af103669e42785267eeea10c'
    checksumType   = 'sha256'
    checksum64     = 'bbba514847c544c2faf0c7f467a82b23e8178c487796a15ec294f2577eea9435'
    checksumType64 = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
